AccountPermissionUpdate
POST
Update the account's permission.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)activesstringrequired
List of active permissions for the account. Example: [{ "type": 2, "permission_name": "active0", "threshold": 2, "operations": "7fff1fc0037e0000000000000000000000000000000000000000000000000000", "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }, { "address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1", "weight": 1 }] }]ownerstringrequired
Owner permission object of the account. Example: { "type": 0, "permission_name": "owner", "threshold":1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }] }witnessstring
Witness permission object (for Super Representatives). Example: `{"type": 1,"permission_name": "witness", "threshold": 1, "keys": [{ "address": "TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y", "weight": 1 }]}`visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/accountpermissionupdate' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"actives": "[{ \t\"type\": 2, \t\"permission_name\": \"active0\", \t\"threshold\": 2, \t\"operations\": \"7fff1fc0037e0000000000000000000000000000000000000000000000000000\", \t\"keys\": [{ \t\t\"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\", \t\t\"weight\": 1 \t}, { \t\t\"address\": \"TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1\", \t\t\"weight\": 1 \t}] }]","owner": "{ \t\"type\": 0, \t\"permission_name\": \"owner\", \t\"threshold\":1, \t\"keys\": [{ \t\t\"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\", \t\t\"weight\": 1 \t}] }","witness": "{\"type\": 1,\n\"permission_name\": \"witness\",\n \"threshold\": 1,\n \"keys\": [{ \"address\": \"TJZuV6A9QRdtVeJBvewCF9fLF2qnRSEv3y\", \"weight\": 1 }]}"}'